Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.core
Class CoreFileManager

    java.lang.Object
      oracle.ifs.fdk.impl.FileManagerImpl
          oracle.ifs.fdk.core.CoreFileManager

All Implemented Interfaces:
  java.rmi.Remote, FileManager

    public class CoreFileManager

extends FileManagerImpl

The file management interface implementation.

Constructor Summary
`CoreFileManager()` Constructor required for web services.
`CoreFileManager(FdkSession session)` Constructor required for in-process clients.

Method Summary
`boolean` | `checkNameValidity(long parentId, java.lang.String name)` Checks to see if the proposed name is a valid object name in the target folder.
`Item[]` | `copy(long[] items, NamedValue[] workflowParams, NamedValueSet[] attrs)` Copies items.
`Item` | `createDocument(NamedValue[] docDef, NamedValue[] workflowParams, AttributeRequest[] attributes)` Creates a new Document.
`Item` | `createDocumentDefinition(NamedValue[] def, AttributeRequest[] attributes)` Creates a new DocumentDefinition Item, which can be used later to create a Document Item.
`Item[]` | `createDocumentDefinitions(NamedValueSet[] defs, AttributeRequest[] attributes)` Creates set of new DocumentDefinition Items, which can be used later to create Document Items.
`Item[]` | `createDocuments(NamedValueSet[] docDefs, NamedValue[] workflowParams, AttributeRequest[] attributes)` Creates a set of new Documents.
`Item` | `createFolder(long destFolderId, NamedValue[] attributes, AttributeRequest[] attrequest)` Creates a new FOLDER Item.
`Item[]` | `createFolders(long[] destFolders, NamedValueSet[] attributes, AttributeRequest[] attrequest)` Creates a set of folders.
`Item[]` | `createLinks(long folderId, NamedValueSet[] linkDefs, AttributeRequest[] attributes)` Creates a set of new Links.
`void` | `delete(long[] items, NamedValue[] workflowParams, NamedValueSet[] attrs)` Deletes items.
`boolean` | `exists(java.lang.String absolutePath)` Checks to see if an object exists at the given absolute path.
`boolean` | `existsRelative(long folderId, java.lang.String relativePath)` Checks to see if an object exists at the given relative path, relative to the given Folder.
`boolean` | `folderLinksExist(java.lang.String path)` Returns true if the given absolute path contains any LINK items.
`protected FdkSessionImpl` | `getConnectedSession()` Return the web service session.
`Item[]` | `getMostRecentDocuments(NamedValue[] options, AttributeRequest[] attributes)` Returns the most recent documents for the current user
`NamedValueSet[]` | `getNameConflictResolutionOptions(long[] sourceItems, long[] conflictItems, NamedValueSet[] defs)` Returns an array of valid and applicable name conflict resolution options for each {sourceItem, conflictItem, def} tuple passed to this method.
`NamedValue[]` | `getSupportedCharsetNames()` Returns a list of supported character sets.
`java.lang.String[]` | `getSupportedCharsets()` Returns the list of supported character sets
`NamedValue[]` | `getSupportedLanguageNames()` Returns a list of supported languages.
`java.lang.String[]` | `getSupportedLanguages()` Returns the list of supported languages
`protected boolean` | `isWebServiceCall()` Returns `true` if the current call was made from a web services client.
`java.lang.String[]` | `listAutoFolderingActionSpecifications()` Returns the list of registered auto folder creation specification names.
`Item[]` | `listFolder(long id, NamedValue[] options, AttributeRequest[] attributes)` Returns the items of a folder and returns the requested attributes that apply to each item.
`protected NamedValue[]` | `login(FdkCredential c, NamedValue[] options, AttributeRequest[] userAttributes)` Internal login method used by web services login managers.
`Item[]` | `move(long[] items, NamedValue[] workflowParams, NamedValueSet[] attrs)` Moves items.
`void` | `referenceTypes(TypeReference ref)` Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.
`Item` | `resolvePath(java.lang.String path, AttributeRequest[] attributes)` Resolves a path, returning an Item that represents a PublicObject.
`Item` | `resolveRelativePath(long folderId, java.lang.String path, AttributeRequest[] attributes)` Resolves a relative path from a Folder, returning an Item that represents a PublicObject.
`protected PublicObject` | `tryLegacyPathResolution(LibrarySession ls, java.lang.String path)` Try to resolve a path using Legacy Path Resolution (from Oracle Files).
`Item[]` | `uncompress(long[] items, AttributeRequest[] attributes)` Uncompresses the items refered to by `items`.
`Item` | `updateDocument(long docId, NamedValue[] attrs, AttributeRequest[] attributes)` Updates a Document.
`Item[]` | `updateDocuments(long[] items, NamedValueSet[] attrs, AttributeRequest[] attributes)` Updates multiple Documents.
`Item` | `updateFolder(long folderId, NamedValue[] attrs, AttributeRequest[] attributes)` Updates a Folder.
`Item` | `updateLink(long linkId, NamedValue[] attrs, AttributeRequest[] attributes)` Updates a Link.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreFileManager

    public CoreFileManager()

  Constructor required for web services.

### CoreFileManager

    public CoreFileManager(FdkSession session)

  Constructor required for in-process clients.

Method Detail

### checkNameValidity

    public boolean checkNameValidity(long parentId,
                                     java.lang.String name)
                              throws FdkException

  Description copied from class: `CoreFileManager`
  Checks to see if the proposed name is a valid object name in the target folder.

  This checks only for any invalid characters present in the proposed name.

  Parameters:
    `parentId` - The parent folder's ID.
    `name` - The proposed name of the new object
  Returns:
    true if the name is valid
  Throws:
    `FdkException` - if the operation fails.

### exists

    public boolean exists(java.lang.String absolutePath)
                   throws FdkException

  Description copied from class: `CoreFileManager`
  Checks to see if an object exists at the given absolute path.

  Parameters:
    `absolutePath` - the absolute path to check.
  Returns:
    true if an object exists at the given path.
  Throws:
    `FdkException` - if the operation fails.

### existsRelative

    public boolean existsRelative(long folderId,
                                  java.lang.String relativePath)
                           throws FdkException

  Description copied from class: `CoreFileManager`
  Checks to see if an object exists at the given relative path, relative to the given Folder.

  Parameters:
    `folderId` - the Folder that the path is relative to.
    `relativePath` - the relative path to check.
  Returns:
    true if an object exists at the given path, relative to the given Folder.
  Throws:
    `FdkException` - if the operation fails.

### resolvePath

    public Item resolvePath(java.lang.String path,
                            AttributeRequest[] attributes)
                     throws FdkException

  Description copied from class: `CoreFileManager`
  Resolves a path, returning an Item that represents a PublicObject.

  The returned Item will be one of the following types: Document, Link, Folder.

  Parameters:
    `path` - the fully-qualified absolute path to resolve.
    `attributes` - requested attributes for the resolved object, or null.
  Returns:
    an Item with the requested attributes, or null if no item matching the path is found.
  Throws:
    `FdkException` - if the operation fails

### resolveRelativePath

    public Item resolveRelativePath(long folderId,
                                    java.lang.String path,
                                    AttributeRequest[] attributes)
                             throws FdkException

  Description copied from class: `CoreFileManager`
  Resolves a relative path from a Folder, returning an Item that represents a PublicObject.

  The returned Item will be one of the following types: Document, Link, Folder.

  Parameters:
    `folderId` - the ID of the folder from which to resolve the path.
    `path` - the relative path; it must not start with "/".
    `attributes` - requested attributes for the resolved object, or null.
  Returns:
    an Item with the requested attributes.
  Throws:
    `FdkException` - if the operation fails.

### listFolder

    public Item[] listFolder(long id,
                             NamedValue[] options,
                             AttributeRequest[] attributes)
                      throws FdkException

  Description copied from class: `CoreFileManager`
  Returns the items of a folder and returns the requested attributes that apply to each item.

  Each Item in the returned Item array will be of one of the following types: Document, Link, Folder.

  If the primary or secondary sort attributes are specified but the corresponding sort directions are not specified, the sorting defaults to ascending order. The sorting order is ascending if the sort direction is explicitly set to TRUE and descending if the sort direction is set to FALSE.

  Sort attribute names must be defined in the Attributes class and have data types that implement the Comparable interface.

  Parameters:
    `id` - the ID of the folder to list.
    `options` - Options on the retrieved list. Valid options are:
    - notation: {Attribute name, Attribute type}
    - {Options.PRIMARY_SORT_ATTRIBUTE, String}
    - {Options.PRIMARY_SORT_DIRECTION, Boolean}
    - {Options.SECONDARY_SORT_ATTRIBUTE, String}
    - {Options.SECONDARY_SORT_DIRECTION, Boolean}
    `attributes` - requested attributes for each item, or null.
  Returns:
    an Item array representing the items in the folder and their attributes.
  Throws:
    `FdkException` - if the operation fails.

### createFolders

    public Item[] createFolders(long[] destFolders,
                                NamedValueSet[] attributes,
                                AttributeRequest[] attrequest)
                         throws FdkException

  Description copied from class: `CoreFileManager`
  Creates a set of folders. The destinationFolders parameter may have a size of 1 in which case all the folders will be created in that folder; otherwise its size must match the size of the folderNames parameter.

  Parameters:
    `destFolders` - the destination folder IDs.
    `attributes` - the attributes to set for each new folder. must include one or more of the following Attributes:
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Attributes.DESCRIPTION, String}
    - {Options.RESPECT_NULL_RESOURCE_LOCKS, Boolean}
    - {`Options.CATEGORY_DEFINITION`, NamedValue[]}
    - {Attributes.CREATED_BY, Long} - requires ADMIN Privileges
    - {Attributes.CREATE_DATE, Date} - requires ADMIN Privileges
    - {Attributes.LAST_MODIFIED_BY, Long} - requires ADMIN Privileges
    - {Attributes.LAST_MODIFIED_DATE, Date} - requires ADMIN Privileges
    `attrequest` - requested attributes for each item, or null.
  Returns:
    The list of the folders that were created.
  Throws:
    `FdkException` - if the operation fails.

### createFolder

    public Item createFolder(long destFolderId,
                             NamedValue[] attributes,
                             AttributeRequest[] attrequest)
                      throws FdkException

  Description copied from class: `CoreFileManager`
  Creates a new FOLDER Item.

  Parameters:
    `destFolderId` - destination FOLDER ID into which the new FOLDER will be placed
    `attributes` - attributes and options for this operation:
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Attributes.DESCRIPTION, String}
    - {Options.UNIQUENAME, Boolean}
    - {Options.RESPECT_NULL_RESOURCE_LOCKS, Boolean}
    - {`Options.CATEGORY_DEFINITION`, NamedValue[]}
    - {Attributes.CREATED_BY, Long} - requires ADMIN Privileges
    - {Attributes.CREATE_DATE, Date} - requires ADMIN Privileges
    - {Attributes.LAST_MODIFIED_BY, Long} - requires ADMIN Privileges
    - {Attributes.LAST_MODIFIED_DATE, Date} - requires ADMIN Privileges
    `attrequest` - requested attributes for the created FOLDER, or null.
  Returns:
    the FOLDER that was created
  Throws:
    `FdkException` - if the operation fails

### copy

    public Item[] copy(long[] items,
                       NamedValue[] workflowParams,
                       NamedValueSet[] attrs)
                throws FdkException

  Description copied from class: `CoreFileManager`
  Copies items.

  Note: if workflow is enabled and the copy operation is workflow enabled, then a CopyRequest is created.

  Use `RequestManager.listRequests` to find any created Requests.

  Parameters:
    `items` - The IDs of the items to be copied.
    `workflowParams` - The parameters(name/value) used to start workflow
    `attrs` - The attributes specified for each item.
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Options.DESTFOLDER, Long}
    - {Options.AUTO_FOLDERING_ACTION_SPECIFICATION, String}
    - {Options.OVERWRITE, Boolean}
    - {Options.UNIQUENAME, Boolean}
    - {Options.NEWVERSION, Boolean}
    - {Options.RESPECT_NULL_RESOURCE_LOCKS, Boolean}
    - {`Options.CATEGORY_DEFINITION`, NamedValue[]}
    - {`Options.RECORD_DEFINITION`, NamedValue[]}
  Returns:
    If the operation is workflow enabled, null; otherwise the copied items.
  Throws:
    `FdkException` - if the operation fails.

### move

    public Item[] move(long[] items,
                       NamedValue[] workflowParams,
                       NamedValueSet[] attrs)
                throws FdkException

  Description copied from class: `CoreFileManager`
  Moves items.

  Note: If the operation is workflow-enabled, then a Request representing this move operation is created.

  Parameters:
    `items` - The IDs of the items to be moved.
    `workflowParams` - The parameters(name/value) used to start workflow
    `attrs` - The attributes specified for each item.
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Options.DESTFOLDER, Long}
    - {Options.AUTO_FOLDERING_ACTION_SPECIFICATION, String}
    - {Options.OVERWRITE, Boolean}
    - {Options.UNIQUENAME, Boolean}
    - {Options.NEWVERSION, Boolean}
    - {`Options.CATEGORY_DEFINITION`, NamedValue[]}
    - {`Options.RECORD_DEFINITION`, NamedValue[]}
    - {Options.RESPECT_NULL_RESOURCE_LOCKS, Boolean}
    - {Attributes.CREATED_BY, Long} - requires ADMIN Privileges
    - {Attributes.CREATE_DATE, Date} - requires ADMIN Privileges
    - {Attributes.LAST_MODIFIED_BY, Long} - requires ADMIN Privileges
    - {Attributes.LAST_MODIFIED_DATE, Date} - requires ADMIN Privileges
  Returns:
    The moved items.
  Throws:
    `FdkException` - if the operation fails.

### delete

    public void delete(long[] items,
                       NamedValue[] workflowParams,
                       NamedValueSet[] attrs)
                throws FdkException

  Description copied from class: `CoreFileManager`
  Deletes items.

  If workflow is enabled and the delete operation is workflow enabled, then a DeleteRequest is created.

  Parameters:
    `items` - the item IDs to be deleted.
    `workflowParams` - The parameters(name/value) used to start workflow
    `attrs` - The attributes specified for each item.
  Throws:
    `FdkException` - if the operation fails.

### createDocumentDefinition

    public Item createDocumentDefinition(NamedValue[] def,
                                         AttributeRequest[] attributes)
                                  throws FdkException

  Description copied from class: `CoreFileManager`
  Creates a new DocumentDefinition Item, which can be used later to create a Document Item.

  Parameters:
    `def` - the attributes to set:
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Attributes.DESCRIPTION, String}
    - {Attributes.DOCUMENT_CHARACTER_SET, String}
    - {Attributes.DOCUMENT_LANGUAGE, String}
    - {Options.CONTENTSTREAM, InputStream}
    - {Attributes.MEDIA, Long (ID) or String (NAME)}
    - {Options.MEDIA_OPTIONS, NamedValue[]}
    - {Attributes.STORAGE_GROUP, String}
    - {Attributes.RETENTION_POLICY, Long}
    - {Attributes.LIFECYCLE_POLICY, Long}
    - {Attributes.INITIAL_LIFECYCLE_DATE, Date}
    - {`Options.CATEGORY_DEFINITION`, NamedValue[]}
    - {`Options.VERSION_ON_CATEGORY_OPERATION`, Boolean}
    - {Options.DEFINITION_EXPIRATION_TIME, Long}
    `attributes` - requested attributes for the returned Item, or null
  Returns:
    the new DocumentDefinition Item
  Throws:
    `FdkException` - if the operation fails.

### createDocumentDefinitions

    public Item[] createDocumentDefinitions(NamedValueSet[] defs,
                                            AttributeRequest[] attributes)
                                     throws FdkException

  Description copied from class: `CoreFileManager`
  Creates set of new DocumentDefinition Items, which can be used later to create Document Items.

  Parameters:
    `defs` - attributes to set; each row represents one definition.
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Attributes.DESCRIPTION, String}
    - {Attributes.DOCUMENT_CHARACTER_SET, String}
    - {Attributes.DOCUMENT_LANGUAGE, String}
    - {Options.CONTENTSTREAM, InputStream}
    - {Attributes.MEDIA, Long (ID) or String (NAME)}
    - {Options.MEDIA_OPTIONS, NamedValue[]}
    - {Attributes.STORAGE_GROUP, String}
    - {Attributes.RETENTION_POLICY, Long}
    - {Attributes.LIFECYCLE_POLICY, Long}
    - {Attributes.INITIAL_LIFECYCLE_DATE, Date}
    - {`Options.CATEGORY_DEFINITION`, NamedValue[]}
    - {`Options.VERSION_ON_CATEGORY_OPERATION`, Boolean}
    - {Options.DEFINITION_EXPIRATION_TIME, Long}
    `attributes` - requested attributes for each item, or null.
  Returns:
    the new document definitions.
  Throws:
    `FdkException` - if the operation fails.

### createDocument

    public Item createDocument(NamedValue[] docDef,
                               NamedValue[] workflowParams,
                               AttributeRequest[] attributes)
                        throws FdkException

  Description copied from class: `CoreFileManager`
  Creates a new Document.

  If workflow is enabled and the createDocument operation is workflow enabled then a CreateDocumentRequest is created.

  Use `RequestManager.listRequests` to find any created requests.

  Parameters:
    `docDef` - the attributes to set.
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Attributes.DESCRIPTION, String}
    - {Attributes.DOCUMENT_CHARACTER_SET, String}
    - {Attributes.DOCUMENT_LANGUAGE, String}
    - {Options.DESTFOLDER, Long}
    - {Options.AUTO_FOLDERING_ACTION_SPECIFICATION, String}
    - {`Options.CATEGORY_DEFINITION`, NamedValue[]}
    - {`Options.VERSION_ON_CATEGORY_OPERATION`, Boolean}
    - {`Options.RECORD_DEFINITION`, NamedValue[]}
    - {Options.CONTENTSTREAM, InputStream}
    - {Attributes.MEDIA, Long (ID) or String (NAME)}
    - {Options.MEDIA_OPTIONS, NamedValue[]}
    - {Attributes.STORAGE_GROUP, String}
    - {Options.OVERWRITE, Boolean}
    - {Options.UNIQUENAME, Boolean}
    - {Options.NEWVERSION, Boolean}
    - {Options.USE_SAVED_DEFINITION, Long}
    - {Options.RESPECT_NULL_RESOURCE_LOCKS, Boolean}
    - {Attributes.RETENTION_POLICY, Long}
    - {Attributes.LIFECYCLE_POLICY, Long}
    - {Attributes.INITIAL_LIFECYCLE_DATE, Date}
    - {Attributes.CREATED_BY, Long} - requires ADMIN Privileges
    - {Attributes.CREATE_DATE, Date} - requires ADMIN Privileges
    - {Attributes.LAST_MODIFIED_BY, Long} - requires ADMIN Privileges
    - {Attributes.LAST_MODIFIED_DATE, Date} - requires ADMIN Privileges
    `workflowParams` - The parameters(name/value) used to start workflow
    `attributes` - requested attributes for each item, or null.
  Returns:
    If the operation is workflow enabled, null; otherwise the new document.
  Throws:
    `FdkException` - if the operation fails.

### createDocuments

    public Item[] createDocuments(NamedValueSet[] docDefs,
                                  NamedValue[] workflowParams,
                                  AttributeRequest[] attributes)
                           throws FdkException

  Description copied from class: `CoreFileManager`
  Creates a set of new Documents.

  If workflow is enabled and the createDocument operation is workflow enabled then a CreateDocumentRequest is created.

  Use `RequestManager.listRequests` to find any created requests.

  Parameters:
    `docDefs` - the attributes to set.
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Attributes.DESCRIPTION, String}
    - {Attributes.DOCUMENT_CHARACTER_SET, String}
    - {Attributes.DOCUMENT_LANGUAGE, String}
    - {Options.DESTFOLDER, Long}
    - {Options.AUTO_FOLDERING_ACTION_SPECIFICATION, String}
    - {`Options.CATEGORY_DEFINITION`, NamedValue[]}
    - {`Options.VERSION_ON_CATEGORY_OPERATION`, Boolean}
    - {`Options.RECORD_DEFINITION`, NamedValue[]}
    - {Options.CONTENTSTREAM, InputStream}
    - {Attributes.MEDIA, Long (ID) or String (NAME)}
    - {Options.MEDIA_OPTIONS, NamedValue[]}
    - {Attributes.STORAGE_GROUP, String}
    - {Options.OVERWRITE, Boolean}
    - {Options.UNIQUENAME, Boolean}
    - {Options.NEWVERSION, Boolean}
    - {Options.USE_SAVED_DEFINITION, Long}
    - {Options.RESPECT_NULL_RESOURCE_LOCKS, Boolean}
    - {Attributes.RETENTION_POLICY, Long}
    - {Attributes.LIFECYCLE_POLICY, Long}
    - {Attributes.INITIAL_LIFECYCLE_DATE, Date}
    - {Attributes.CREATED_BY, Long} - requires ADMIN Privileges
    - {Attributes.CREATE_DATE, Date} - requires ADMIN Privileges
    - {Attributes.LAST_MODIFIED_BY, Long} - requires ADMIN Privileges
    - {Attributes.LAST_MODIFIED_DATE, Date} - requires ADMIN Privileges
    `workflowParams` - The parameters(name/value) used to start workflow
    `attributes` - requested attributes for each item, or null.
  Returns:
    If the operation is workflow enabled, null; otherwise the new documents.
  Throws:
    `FdkException` - if the operation fails.

### createLinks

    public Item[] createLinks(long folderId,
                              NamedValueSet[] linkDefs,
                              AttributeRequest[] attributes)
                       throws FdkException

  Description copied from class: `CoreFileManager`
  Creates a set of new Links.

  Parameters:
    `folderId` - the id of the destination folder for the new links.
    `linkDefs` - the attributes to set.
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Attributes.LINK_DESTINATION, Long}
    - {Options.LINK_TO_LATEST, Boolean}
    - {Options.USE_DEFAULT_NAME, Boolean}
    - {`Options.CATEGORY_DEFINITION`, NamedValue[]}
    `attributes` - requested attributes for each item, or null.
  Returns:
    the new document.
  Throws:
    `FdkException` - if the operation fails.

### updateLink

    public Item updateLink(long linkId,
                           NamedValue[] attrs,
                           AttributeRequest[] attributes)
                    throws FdkException

  Description copied from class: `CoreFileManager`
  Updates a Link.

  Parameters:
    `linkId` - the id of the Link to update.
    `attrs` - the attributes to update.
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Attributes.DESCRIPTION, String}
    - {Options.LINK_TO_LATEST, Boolean}
    - {`Options.CATEGORY_DEFINITION`, NamedValue[]}
    - {`Options.REMOVE_CATEGORY_ID`, Long}
    `attributes` - requested attributes for each item, or null.
  Returns:
    the updated link.
  Throws:
    `FdkException` - if the operation fails.

### folderLinksExist

    public boolean folderLinksExist(java.lang.String path)
                             throws FdkException

  Description copied from class: `CoreFileManager`
  Returns true if the given absolute path contains any LINK items.

  Parameters:
    `path` - the absolute path to test.
  Returns:
    true if path contains any LINK items.
  Throws:
    `FdkException` - if the operation fails.

### updateFolder

    public Item updateFolder(long folderId,
                             NamedValue[] attrs,
                             AttributeRequest[] attributes)
                      throws FdkException

  Description copied from class: `CoreFileManager`
  Updates a Folder.

  Parameters:
    `folderId` - the id of the document to update.
    `attrs` - the attributes to update.
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Attributes.DESCRIPTION, String}
    - {`Options.CATEGORY_DEFINITION`, NamedValue[]}
    - {`Options.REMOVE_CATEGORY_ID`, Long}
    - {Attributes.CREATED_BY, Long} - requires ADMIN Privileges
    - {Attributes.CREATE_DATE, Date} - requires ADMIN Privileges
    - {Attributes.LAST_MODIFIED_BY, Long} - requires ADMIN Privileges
    - {Attributes.LAST_MODIFIED_DATE, Date} - requires ADMIN Privileges
    `attributes` - requested attributes for each item, or null.
  Returns:
    the updated folder.
  Throws:
    `FdkException` - if the operation fails.

### updateDocument

    public Item updateDocument(long docId,
                               NamedValue[] attrs,
                               AttributeRequest[] attributes)
                        throws FdkException

  Description copied from class: `CoreFileManager`
  Updates a Document.

  Parameters:
    `docId` - the id of the document to update.
    `attrs` - the attributes to update.
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Attributes.DESCRIPTION, String}
    - {Attributes.DOCUMENT_CHARACTER_SET, String}
    - {Attributes.DOCUMENT_LANGUAGE, String}
    - {Attributes.LAST_MODIFIED_DATE, Date}
    - {Options.CONTENTSTREAM, InputStream}
    - {Attributes.MEDIA, Long (ID) or String (NAME)}
    - {Options.MEDIA_OPTIONS, NamedValue[]}
    - {Attributes.STORAGE_GROUP, String}
    - {`Options.USE_SAVED_DEFINITION`, Long}
    - {`Options.CATEGORY_DEFINITION`, NamedValue[]}
    - {`Options.VERSION_ON_CATEGORY_OPERATION`, Boolean}
    - {`Options.REMOVE_CATEGORY_ID`, Long}
    - {Attributes.RETENTION_POLICY, Long}
    - {Attributes.LIFECYCLE_POLICY, Long}
    - {Attributes.INITIAL_LIFECYCLE_DATE, Date}
    - {Attributes.CREATED_BY, Long} - requires ADMIN Privileges
    - {Attributes.CREATE_DATE, Date} - requires ADMIN Privileges
    - {Attributes.LAST_MODIFIED_BY, Long} - requires ADMIN Privileges
    - {Attributes.LAST_MODIFIED_DATE, Date} - requires ADMIN Privileges
    `attributes` - requested attributes for each item, or null.
  Returns:
    the updated document.
  Throws:
    `FdkException` - if the operation fails.

### updateDocuments

    public Item[] updateDocuments(long[] items,
                                  NamedValueSet[] attrs,
                                  AttributeRequest[] attributes)
                           throws FdkException

  Description copied from class: `CoreFileManager`
  Updates multiple Documents.

  Parameters:
    `items` - the ids of the documents to update.
    `attrs` - the attributes to update, specified for each item.
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Attributes.DESCRIPTION, String}
    - {Attributes.DOCUMENT_CHARACTER_SET, String}
    - {Attributes.DOCUMENT_LANGUAGE, String}
    - {Attributes.LAST_MODIFIED_DATE, Date}
    - {Options.CONTENTSTREAM, InputStream}
    - {Attributes.MEDIA, Long (ID) or String (NAME)}
    - {Options.MEDIA_OPTIONS, NamedValue[]}
    - {Attributes.STORAGE_GROUP, String}
    - {`Options.USE_SAVED_DEFINITION`, Long}
    - {`Options.CATEGORY_DEFINITION`, NamedValue[]}
    - {`Options.VERSION_ON_CATEGORY_OPERATION`, Boolean}
    - {`Options.REMOVE_CATEGORY_ID`, Long}
    - {Attributes.RETENTION_POLICY, Long}
    - {Attributes.LIFECYCLE_POLICY, Long}
    - {Attributes.INITIAL_LIFECYCLE_DATE, Date}
    - {Attributes.CREATED_BY, Long} - requires ADMIN Privileges
    - {Attributes.CREATE_DATE, Date} - requires ADMIN Privileges
    - {Attributes.LAST_MODIFIED_BY, Long} - requires ADMIN Privileges
    - {Attributes.LAST_MODIFIED_DATE, Date} - requires ADMIN Privileges
    `attributes` - requested attributes for each item, or null.
  Returns:
    the updated documents.
  Throws:
    `FdkException` - if the operation fails.

### getSupportedLanguages

    public java.lang.String[] getSupportedLanguages()
                                             throws FdkException

  Description copied from class: `CoreFileManager`
  Returns the list of supported languages

  Returns:
    all supported languages
  Throws:
    `FdkException` - if the operation fails.

### getSupportedCharsets

    public java.lang.String[] getSupportedCharsets()
                                            throws FdkException

  Description copied from class: `CoreFileManager`
  Returns the list of supported character sets

  Returns:
    all supported character sets
  Throws:
    `FdkException` - if the operation fails.

### getSupportedLanguageNames

    public NamedValue[] getSupportedLanguageNames()
                                           throws FdkException

  Description copied from class: `CoreFileManager`
  Returns a list of supported languages. Each Namedvalue contains the {language name, language display name} tuple.

  Returns:
    all supported languages.
  Throws:
    `FdkException` - if the operation fails.

### getSupportedCharsetNames

    public NamedValue[] getSupportedCharsetNames()
                                          throws FdkException

  Description copied from class: `CoreFileManager`
  Returns a list of supported character sets. Each Namedvalue contains the {charset name, charset display name} tuple.

  Returns:
    all supported charsets.
  Throws:
    `FdkException` - if the operation fails.

### getNameConflictResolutionOptions

    public NamedValueSet[] getNameConflictResolutionOptions(long[] sourceItems,
                                                            long[] conflictItems,
                                                            NamedValueSet[] defs)
                                                     throws FdkException

  Description copied from class: `CoreFileManager`
  Returns an array of valid and applicable name conflict resolution options for each {sourceItem, conflictItem, def} tuple passed to this method.

  If an operation for the set of given objs would fail because of a name conflict, this method determines which options could be passed to a subsequent call to the operation that would allow it to succeed.

  Parameters:
    `sourceItems` - the items that are being operated on.
    `conflictItems` - the name-conflicting items for each source item.
    `defs` - the spec for the operation on the source items. (note that the DESTFOLDER option is required.)
  Returns:
    a NamedValueSet array of valid and applicable conflict resolution options (one array for each {sourceItem, conflictItem, def} tuple).
  Throws:
    `FdkException` - if the operation fails

### getMostRecentDocuments

    public Item[] getMostRecentDocuments(NamedValue[] options,
                                         AttributeRequest[] attributes)
                                  throws FdkException

  Description copied from class: `CoreFileManager`
  Returns the most recent documents for the current user

  If the primary or secondary sort attributes are specified but the corresponding sort directions are not specified, the sorting defaults to ascending order. The sorting order is ascending if the sort direction is explicitly set to TRUE and descending if the sort direction is set to FALSE.

  Sort attribute names must be defined in the Attributes class and have data types that implement the Comparable interface.

  Parameters:
    `options` - Options on the retrieved list. Valid options are:
    - notation: {Attribute name, Attribute type}
    - {Options.PRIMARY_SORT_ATTRIBUTE, String}
    - {Options.PRIMARY_SORT_DIRECTION, Boolean}
    - {Options.SECONDARY_SORT_ATTRIBUTE, String}
    - {Options.SECONDARY_SORT_DIRECTION, Boolean}
    `attributes` - requested attributes for each item, or null.
  Returns:
    references to the most recently accessed documents.
  Throws:
    `FdkException` - if the operation fails.

### uncompress

    public Item[] uncompress(long[] items,
                             AttributeRequest[] attributes)
                      throws FdkException

  Description copied from class: `CoreFileManager`
  Uncompresses the items refered to by `items`.

  Parameters:
    `items` - the item IDs to be uncompressed.
    `attributes` - the attributes to be populated for items returned.
  Returns:
    the items which have been umcompressed.
  Throws:
    `FdkException` - if the operation fails.

### listAutoFolderingActionSpecifications

    public java.lang.String[] listAutoFolderingActionSpecifications()
                                                             throws FdkException

  Description copied from class: `CoreFileManager`
  Returns the list of registered auto folder creation specification names. The specification names can then be used in operations such as `createDocument()` to let the system create a folder structure.

  Returns:
    An array of specification names.
  Throws:
    `FdkException` - if the operation fails.

### tryLegacyPathResolution

    protected PublicObject tryLegacyPathResolution(LibrarySession ls,
                                                   java.lang.String path)
                                            throws IfsException

  Description copied from class: `CoreFileManager`
  Try to resolve a path using Legacy Path Resolution (from Oracle Files).

  Parameters:
    `ls` - the session context
    `path` - the potentially legacy path
  Returns:
    the object corresponding to the legacy path
  Throws:
    `IfsException` - if the operation fails.

### isWebServiceCall

    protected final boolean isWebServiceCall()

  Returns `true` if the current call was made from a web services client. This check can be made by any subclasses in order to determine functionality and restrictions based on the originating call. This feature should be used lightly and only where really necessary as this is not an idea way of implementing business logic.

### referenceTypes

    public void referenceTypes(TypeReference ref)

  Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.

### login

    protected final NamedValue[] login(FdkCredential c,
                                       NamedValue[] options,
                                       AttributeRequest[] userAttributes)
                                throws FdkException

  Internal login method used by web services login managers.

  Throws:
    `FdkException`

### getConnectedSession

    protected final FdkSessionImpl getConnectedSession()
                                                throws FdkException

  Return the web service session. The return value is guaranteed to be non-null and to represent a connected session. If the client is not authenticated an FdkException is thrown.

  Throws:
    `FdkException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD